# Keyboard Converter: Consul 262.5 & VDX 52600

![Terminal with keyboard and the converter](overview.jpg)

Arduino project for a keyboard converter between a Zbrojovka Consul 262.5 terminal keyboard and a Videoton VDX 52600 terminal.


## Keyboard: Consul 262.5

Terminal keyboard from 1980s.
It uses a DB25 connector with UART TTL data lines, clock line, +5V primary power and -12V auxiliary power.

## Terminal: VDX 52600

VT52 termnial with a DIN5 keyboard connector that dones not use the standard AT keyboard protocol.


## Converter

Interfaces the keyboard and the terminal, optionally a USB. These modes of operation are supported:

1. Keyboard and terminal connected: primary standalone mode. Everything is powered from the terminal.
2. Keyboard and USB connected: USB keyboard mode. Powered from the USB which acts as a HID keyboard.
3. Terminal and USB connected: Serial keyboard over USB mode. Powered independently. Allows sending keystrokes to the terminal over USB serial.

![Converter box](box.jpg)


## Parts needed

- Arduino Leonardo
- Symmetrical boost converter, 5V to +/- 12V
- Piezo speaker
- red and green LED + 470 ohm resistors
- connectors
- project box 
- (among others)


## Connections

### Terminal DIN5

Device | Controller | Description
---|---|---
GND | GND | Ground
+5V | +5V | Power
Data | 6 | Keyboard data to terminal
Status | 7 | Status (LEDs) and Clock from terminal

![DIN5 connector pinout](DIN5_pinout.jpg)


### Keyboard DB25

Device | Controller | Description
---|---|---
GND | GND | Ground
+5V | +5V | Power
-12V | -12V | via a symmetrical boost converter
Serial out | 3 | UART out from keyboard
Serial in | 4 | UART in to keyboard


### Box Interface

| Controller | Description |
| ---|--- |
| 10 | Offline LED |
| 9 | Online LED |
| 8 | Speaker |

